@extends('admin.layouts.app')
@section('header')
    <style type="text/css">
        .chosen-choices input {
            width: 50px !important;
        }
    </style>
@endsection

@section('content')
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>挖掘线索</h5>

                    <div class="ibox-tools">
                        <a class="collapse-link"> <i class="fa fa-chevron-up"></i>
                        </a>
                    </div>
                </div>

                <form method="GET" action="{{ U('Company/Info/index') }}" accept-charset="UTF-8">
                    <div class="ibox-content">

                        <div class="form-group">

                            <div class="row">
                                <label class="col-form-label col-sm-2">企业名称</label>

                                <div class="col-sm-6">
                                    <input class="tagsinput form-control" type="text"
                                           name="companyName" value="" style="display: none;" placeholder="请输入企业名称关键字">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">

                            <div class="row">
                                <label class="col-form-label col-sm-2">注册资本</label>

                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="font-normal">单选</label>
                                        <div>
                                            <select data-placeholder="全部" class="chosen-select"
                                                    style="width: 350px; display: none;" tabindex="-1"
                                                    name="regCapital">
                                                <option value="">全部</option>
                                                @foreach($fields['regCapital'] as $regCapital)
                                                    <option value="{{$regCapital['value']}}"
                                                            @if($regCapital['value']== Request::get('regCapital')) selected @endif>{{$regCapital['name']}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">

                            <div class="row">
                                <label class="col-form-label col-sm-2">所属行业</label>

                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="font-normal">多选</label>
                                        <div>
                                            <select data-placeholder="全部" class="chosen-select" multiple=""
                                                    style="width: 350px; display: none;" tabindex="-1" name="industry[]">
                                                <option value="">全部</option>
                                                @foreach($fields['industry'] as $industry)
                                                    <option value="{{$industry['value']}}"
                                                            @if($industry['value'] == Request::get('industry')) selected @endif>{{$industry['name']}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">

                                <div class="row">
                                    <label class="col-form-label col-sm-2">企业类型</label>

                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="font-normal">多选</label>
                                            <div>
                                                <select data-placeholder="全部" class="chosen-select" multiple=""
                                                        style="width: 350px; display: none;" tabindex="-1"
                                                        name="entType[]">
                                                    <option value="">全部</option>
                                                    @foreach($fields['entType'] as $entType)
                                                        <option value="{{$entType['value']}}"
                                                                @if($entType['value']== Request::get('entType')) selected @endif>{{$entType['name']}}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">

                                <div class="row">
                                    <label class="col-form-label col-sm-2">所在地区</label>

                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="font-normal">多选</label>
                                            <div>
                                                <select data-placeholder="全部" class="chosen-select" multiple=""
                                                        style="width: 350px; display: none;" tabindex="-1"
                                                        name="district[]">
                                                    <option value="">全部</option>
                                                    @foreach($fields['district'] as $district)
                                                        <option value="{{$district['value']}}">{{$district['name']}}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="form-group">
                                <div class="row">
                                    <label class="col-form-label col-sm-2"></label>
                                    <div class="col-sm-6">
                                        <button class="btn btn-outline-primary">筛选
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection