@extends('admin.layouts.app')

@section('header')
    <style type="text/css">
        .tabs-container .nav li a.active {
            background-color: #0e9aef;
            color: #ffffff;
        }

        .tabs-container .nav li a {
            border: 1px solid #ccc
        }

        #tab-1 label {
            color: #ccc
        }

        #tab-1 span {
            font-weight: 500
        }

        .tabs-container ul.nav-tabs {
            border-bottom: none
        }

        .tabs-container div.panel-body {
            border: none
        }

        .panel-body h3::before {
            background-color: #0e9aef;
            content: '-';
            color: #0e9aef;
            margin-right: 5px;
            padding-right: 2px
        }

        .dropdown-menu {
            left: 0 !important;
        }
    </style>
@endsection
@section('content')
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>挖掘线索</h5>
                    <div class="ibox-tools">
                        <a href="javascript:history.back();" class="btn  btn-xs btn-primary">
                            返回
                        </a>
                        <a class="collapse-link"> <i class="fa fa-chevron-up"></i>
                        </a>
                    </div>
                </div>

                <div class="ibox-content">
                    <div class="col-md-11" style="margin: auto">
                        <div class="row">
                            <div class="col-md-9">
                                <div class="row">
                                    <div class="col-md-10">
                                        <div class="row" style="border-bottom: 1px solid #eee">
                                            <div class="col-md-6">
                                                <h1 style="font-weight: 700">{{ $data->companyName }}</h1>
                                            </div>

                                            @if(!$data->isThread())
                                                <div class="col-md-6">
                                                    <h3 class="pull-right" style="color: coral">请选择联系方式，添加为我的线索</h3>
                                                </div>
                                            @endif
                                        </div>


                                        <div class="row">
                                            <div class="col-md-6">
                                                <h3>经营状态：{{ $data->openStatus }}</h3>
                                            </div>
                                            <div class="col-md-6">
                                                <h3>公司类型：{{ $data->entType }}</h3>
                                            </div>
                                        </div>
                                        <h3>企业地址：{{ $data->regAddr }}</h3>

                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="tabs-container">
                                            <ul class="nav nav-tabs">
                                                <li>
                                                    <a data-toggle="tab" href="#tab-1" aria-expanded="true"
                                                       class="active show">基本信息</a>
                                                </li>
                                                <li>
                                                    <a data-toggle="tab" href="#tab-2" aria-expanded="true">变更纪录</a>
                                                </li>
                                                <li>
                                                    <a data-toggle="tab" href="#tab-3" aria-expanded="true">企业年报</a>
                                                </li>
                                                <li>
                                                    <a data-toggle="tab" href="#tab-4" aria-expanded="true">知识产权</a>
                                                </li>
                                                <li>
                                                    <a data-toggle="tab" href="#tab-5" aria-expanded="true">招聘信息</a>
                                                </li>
                                            </ul>
                                            <br/>
                                            <div class="tab-content">
                                                {{--基本信息 Start--}}
                                                <div id="tab-1" class="tab-pane active show">
                                                    <div class="panel-body">
                                                        <h3>工商信息</h3>
                                                        <div class="form-group row">
                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">统一社会信用代码/注册号:</label>
                                                                <span>{{ $data->regNo }}</span>

                                                            </div>

                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">组织机构代码:</label>
                                                                <span>{{ $data->orgNo }}</span>
                                                            </div>
                                                        </div>

                                                        <div class="form-group row">
                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">法定代表人:</label>
                                                                <span>{{ $data->legalPerson }}</span>
                                                            </div>
                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">经营状态:</label>
                                                                <span>{{ $data->openStatus }}</span>
                                                            </div>
                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">成立日期:</label>
                                                                <span>{{ $data->startDate }}</span>
                                                            </div>
                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">营业期限:</label>
                                                                <span>{{ $data->openTime }}</span>
                                                            </div>
                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">审核/年检日期:</label>
                                                                <span>{{ $data->annualDate }}</span>
                                                            </div>
                                                        </div>

                                                        <div class="form-group row">
                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">注册资本:</label>
                                                                <span>{{ $data->regCapital }}</span>
                                                            </div>
                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">企业类型:</label>
                                                                <span>{{ $data->entType }}</span>
                                                            </div>
                                                            {{--<div class="col-sm-6">--}}
                                                            {{--<label for="col-sm-3">机构类型:</label>--}}
                                                            {{--<span>{{ $data->annualDate }}</span>--}}
                                                            {{--</div>--}}
                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">所属行业:</label>
                                                                <span>{{ $data->industry }}</span>
                                                            </div>
                                                        </div>

                                                        <div class="form-group row">
                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">行政区域:</label>
                                                                <span>{{ $data->district }}</span>
                                                            </div>
                                                            <div class="col-sm-6">
                                                                <label for="col-sm-3">登记机关:</label>
                                                                <span>{{ $data->authority }}</span>
                                                            </div>
                                                            <div class="col-sm-12">
                                                                <label for="col-sm-3">所在地址:</label>
                                                                <span>{{ $data->regAddr }}</span>
                                                            </div>
                                                            <div class="col-sm-12">
                                                                <label for="col-sm-3">经营范围:</label>
                                                                <span class="col-sm-8">{{ $data->scope }}</span>
                                                            </div>
                                                        </div>

                                                        <div class="form-group row">
                                                            <div class="col-sm-12">
                                                                <label for="col-sm-3">网站地址:</label>
                                                                <a href="http://{{ $data->website }}"
                                                                   target="_blank"><span>{{ $data->website }}</span></a>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="panel-body">
                                                        <h3>股东信息</h3>
                                                    </div>

                                                    <div class="panel-body">
                                                        <h3>主要人员</h3>
                                                    </div>
                                                </div>

                                                {{-- 变更纪录 --}}
                                                <div id="tab-2" class="tab-pane">
                                                    <div class="panel-body">
                                                        <strong>表更纪录</strong>
                                                    </div>
                                                </div>

                                                {{-- 企业年报 --}}
                                                <div id="tab-3" class="tab-pane">
                                                    <div class="panel-body">
                                                        <strong>企业年报</strong>
                                                    </div>
                                                </div>


                                                {{-- 知识产权 --}}
                                                <div id="tab-4" class="tab-pane">
                                                    <div class="panel-body">
                                                        <strong>知识产权</strong>
                                                    </div>
                                                </div>

                                                {{-- 招聘信息 --}}
                                                <div id="tab-5" class="tab-pane">
                                                    <div class="panel-body">
                                                        <strong>招聘信息</strong>
                                                    </div>
                                                </div>
                                            </div>


                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="panel-body">
                                    <h3>联系方式：</h3>
                                </div>
                                <div class="col-md-10">
                                    <ul class="sortable-list connectList agile-list ui-sortable"
                                        style="height: 780px;overflow-y: scroll">
                                        @if(count($contacts))
                                            @foreach($contacts as $item)
                                                <li class="success-element">
                                                    <div class="agile-detail">
                                                        <div><label><i class="fa fa-phone"
                                                                       style="font-size: 20px;margin-right: 50px"></i></label>
                                                            <span> {{ $item->phone }}</span>

                                                        </div>

                                                        <div><label>联系人：</label><span>{{ $item->linkman }}</span>
                                                        </div>

                                                        <div><label>QQ号码：</label><span>{{ $item->qq }}</span></div>

                                                        <div><label>电子邮箱：</label><span>{{ $item->email }}</span>
                                                        </div>

                                                        {{--<label>备注：</label><input type="text" style="width: 70%" name="remark" value="{{ $item->remark }}">--}}
                                                        <div class="row">
                                                            <label class="col-sm-3">备注：</label>
                                                            <div class="col-sm-7">
                                                                <div class="input-group">

                                                                    <input type="text" class="test_data {{$item->id}}"
                                                                           name="remark" value="{{ $item->remark }}">
                                                                    <div class="input-group-btn">
                                                                        <ul class="dropdown-menu dropdown-menu-right"
                                                                            role="menu">
                                                                        </ul>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <button class="btn btn-xs btn-success"
                                                                    onclick="addContactsRemark({{$item->id}})">修改
                                                            </button>
                                                        </div>


                                                        @if(!$data->isThread())
                                                            <a href='{{ U('User/Threads/create',['company_id'=>$data->id,'contact_id'=>$item->id])}}'
                                                               class="btn btn-primary btn-rounded btn-block">领取线索</a>
                                                        @endif
                                                    </div>
                                                </li>
                                            @endforeach
                                        @else
                                            <li class="success-element">
                                                @if(!$data->isThread())
                                                    <form action="{{U('User/Threads/create')}}" method="get">
                                                        <div class="agile-detail" style="text-align: center">
                                                            <textarea name="remark" id=""
                                                                      style="width: 100%;height: 100px"
                                                                      placeholder="线索备注..."></textarea>
                                                            <input type="hidden" name="company_id"
                                                                   value="{{$data->id}}">
                                                            <button type="submit"
                                                                    class="btn btn-primary btn-rounded btn-block">领取线索
                                                            </button>
                                                        </div>
                                                    </form>
                                                @endif
                                            </li>
                                        @endif
                                    </ul>
                                </div>


                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>

    </div>
@endsection

@section('js')
    <script src="/base/js/plugins/suggest/bootstrap-suggest.min.js"></script>
    <script type="text/javascript">
        var testdataBsSuggest = $(".test_data").bsSuggest({
            indexId: 0,
            indexKey: 0,
            data: {
                "value": [
                    {"word": "空号"},
                    {"word": "关机"},
                    {"word": "无人接听"},
                    {"word": "已接通"}
                ], "defaults": "已接通"
            }
        });

        function addContactsRemark(id) {
            remark = $('.' + id).val()
            csrf_token = '{{ csrf_token() }}'
            $.ajax({
                url: '{{ U('Company/info/addremarks') }}',
                type: 'POST',
                data: {id: id, remark: remark, _token: csrf_token},
                success: function (data) {
                    layer.msg('修改备注成功', {
                        icon: 1,
                        time: 2000 //2秒关闭（如果不配置，默认是3秒）
                    }, function () {
                        window.location.href = window.location.href
                    });
                }
            })
        }
    </script>

@endsection